﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;

namespace Export
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var DataSource = GetDataTale();
            this.Grid.DataSource = DataSource;
            this.Grid.DataBind();
        }
        private DataTable GetDataTale()
        {

            DataTable dt = new DataTable("Table");
            dt.Columns.AddRange(new DataColumn[3] {
                            new DataColumn("Id", typeof(int)),
                            new DataColumn("Name", typeof(string)),
                            new DataColumn("Qty",typeof(string)) });
            DataRow dr = null;

            for (int i = 0; i <= 100; i++)
            {
                dr = dt.NewRow();
                dr[0] = i;
                dr[1] = "Product Name " + i.ToString();
                dr[2] = "Qty" + i.ToString();
                dt.Rows.Add(dr);
            }
            return dt;

        }
        protected void Grid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            DataTable dt = GetDataTale();
            exp.Export(Grid.Model, dt, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");
        }
       
    }
}
